## Function Exit Code

## Usage

    on.exit(expression)

## Arguments

`expression` | an expression to be executed.

## Description

`on.exit` records the expression given as its argument as needing to be executed when then current function exits (either naturally or as the result of an error). This is useful for resetting graphical parameters or performing other cleanup actions.

## Examples

    opar <- par(mai=c(1,1,1,1))
    on.exit(par(opar))

    opar <- par(mai=c(1,1,1,1))
    on.exit(par(opar))

[Package Contents]